# Class: HlsHandler

## HlsHandler

#### new HlsHandler(source, tech, options)

The Hls Handler object, where we orchestrate all of the parts of HLS to interact with video.js

##### Parameters:

Name | Type | Description
--- | --- | ---
`source` | Object | the soruce object
`tech` | Tech | the parent tech object
`options` | Object | optional and required options

Source:
  - videojs-contrib-hls.js, line 269

### Extends

- videojs.Component

### Methods

#### dispose()

Abort all outstanding work and cleanup.

Source:
  - videojs-contrib-hls.js, line 520

#### duration()

a wrapper around the function in MasterPlaylistController

Source:
  - videojs-contrib-hls.js, line 506

#### play()

Begin playing the video.

Source:
  - videojs-contrib-hls.js, line 492

#### seekable()

a wrapper around the function in MasterPlaylistController

Source:
  - videojs-contrib-hls.js, line 513

#### setCurrentTime()

a wrapper around the function in MasterPlaylistController

Source:
  - videojs-contrib-hls.js, line 499

#### src(src)

called when player.src gets called, handle a new source

##### Parameters:

Name | Type | Description
--- | --- | ---
`src` | Object | the source object to handle

Source:
  - videojs-contrib-hls.js, line 369